Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/lxmenu-data APKBUILD

From: k0r10n <k0r10n.dev_at_gmail.com>
Date: Wed, 17 Sep 2014 07:57:35 +0400

---
 aports/testing/lxmenu-data/APKBUILD | 50 +++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)
 create mode 100644 aports/testing/lxmenu-data/APKBUILD
diff --git a/aports/testing/lxmenu-data/APKBUILD b/aports/testing/lxmenu-data/APKBUILD
new file mode 100644
index 0000000..c7e2bcb
--- /dev/null
+++ b/aports/testing/lxmenu-data/APKBUILD
_at_@ -0,0 +1,50 @@
+# Contributor:
+# Maintainer:
+pkgname=lxmenu-data
+pkgver=0.1.2
+pkgrel=0
+pkgdesc="freedesktop.org desktop menus for LXDE"
+url="http://lxde.org/"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev="intltool"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://downloads.sourceforge.net/lxde/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="2184ab3746d572477f1bea7e98e230a8  lxmenu-data-0.1.2.tar.gz"
+sha256sums="34c285a0430404e815263a4bb33a79eb47b168c56469be0f7ffb19730a57a045  lxmenu-data-0.1.2.tar.gz"
+sha512sums="8e18d5a0309d69fbd410f8e3e5393f8a49852c2684aa2d2f0c460cf9e1f0fb88810885551d6b3dee1c6270a2a8a8a14973ca5e72b714898d1b6b9b676e3bf922  lxmenu-data-0.1.2.tar.gz"
-- 
2.0.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed Sep 17 2014 - 07:57:35 UTC